Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # usb.h File Reference This file contains the public API of the IXP425 USB Driver. More... Go to the source code of this file.
## Functions
PUBLIC IX_STATUS | ixUSBDriverInit (USBDevice *device)
| Initialize driver and USB Device Controller.
PUBLIC IX_STATUS | ixUSBDeviceEnable (USBDevice *device, BOOL enableDevice)
| Enable or disable the device.
PUBLIC IX_STATUS | ixUSBEndpointStall (USBDevice *device, UINT16 endpointNumber, BOOL stallFlag)
| Enable or disable endpoint stall (or halt feature).
PUBLIC IX_STATUS | ixUSBEndpointClear (USBDevice *device, UINT16 endpointNumber)
| Free all Rx/Tx buffers associated with an endpoint.
PUBLIC IX_STATUS | ixUSBSignalResume (USBDevice *device)
| Trigger signal resuming on the bus.
PUBLIC IX_STATUS | ixUSBFrameCounterGet (USBDevice *device, UINT16 *counter)
| Retrieve the 11-bit frame counter.
PUBLIC IX_STATUS | ixUSBReceiveCallbackRegister (USBDevice *device, USBReceiveCallback callbackFunction)
| Register a data receive callback.
PUBLIC IX_STATUS | ixUSBSetupCallbackRegister (USBDevice *device, USBSetupCallback callbackFunction)
| Register a setup receive callback.
PUBLIC IX_STATUS | ixUSBBufferSubmit (USBDevice *device, UINT16 destinationEndpoint, IX_USB_MBLK *sendBuffer)
| Submit a buffer for transmit.
PUBLIC IX_STATUS | ixUSBBufferCancel (USBDevice *device, UINT16 destinationEndpoint, IX_USB_MBLK *sendBuffer)
| Cancel a buffer previously submitted for transmitting.
PUBLIC IX_STATUS | ixUSBEventCallbackRegister (USBDevice *device, USBEventCallback eventCallback, USBEventMap eventMap)
| Register an event callback.
PUBLIC IX_STATUS | ixUSBIsEndpointStalled (USBDevice *device, UINT16 endpointNumber, BOOL *stallState)
| Retrieve an endpoint's stall status.
PUBLIC IX_STATUS | ixUSBStatisticsShow (USBDevice *device)
| Display device state and statistics.
PUBLIC const char * | ixUSBErrorStringGet (UINT32 errorCode)
| Convert an error code into a human-readable string error message.
PUBLIC IX_STATUS | ixUSBEndpointInfoShow (USBDevice *device)
| Display endpoint information table.
## Detailed Description This file contains the public API of the IXP425 USB Driver. Author: Intel Corporation Date: 30-OCT-2001 Version: Revision 1.20 -- Intel Copyright Notice -- Copyright 2001-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file usb.h.
Automatically generated from sources. © Intel Corp. 2003